{ pkgs ? import ./nix {} }:
let
  python = pkgs.python310.override {
    packageOverrides = self: super: {
      django = super.django_4;
      authens = self.callPackage ./authens.nix {};
      pythoncas = self.callPackage ./python-cas.nix {};
    };
  };
in
pkgs.mkShell {
  buildInputs = [
    (python.withPackages (ps: [
      ps.django
      ps.black
      ps.isort
      ps.djangorestframework
      ps.authens
      # (ps.django-extensions.override { inherit django; })
      # ps.django-compressor
    ]))
  ];
}
